    import {Loader} from '@solana/web3'

public class | source

# Loader

Program loader interface

## Static Member Summary

Static Public Members
public static get | chunkSize: number Amount of program data placed in each load Transaction |

## Constructor Summary

Public Constructor
public | constructor(connection: Connection, programId: PublicKey) |

## Method Summary

Public Methods
public | async finalize(program: Account) Finalize an account loaded with program data for execution |
public | async load(program: Account, data: Array<number>) Load program data |

## Static Public Members

### public static get chunkSize: number source

Amount of program data placed in each load Transaction

## Public Constructors

### public constructor(connection: Connection, programId: PublicKey) source

#### Params:

Name | Type | Attribute | Description
connection | Connection |  | The connection to use
programId | PublicKey |  | Public key that identifies the loader

## Public Methods

### public async finalize(program: Account) source

Finalize an account loaded with program data for execution

#### Params:

Name | Type | Attribute | Description
program | Account |  | `load()`ed Account

### public async load(program: Account, data: Array<number>) source

Load program data

#### Params:

Name | Type | Attribute | Description
program | Account |  | Account to load the program info
data | Array<number> |  | Program data